package com.caimei.module.base.entity.po;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * cm_mall_operation_user
 *
 * @author
 */
@Data
public class CmMallOperationUser implements Serializable {
    private Integer id;

    /**
     * 用户组织ID,具体对应cm_mall_organize表ID
     */
    private Integer userOrganizeID;

    /**
     * 用户类型，1:机构类型，2供应商类型
     */
    private Integer userType;

    /**
     * 供应商ID：隶属于哪个供应商的运营人员[用户类型为供应商时有效数据]
     */
    private Integer shopID;

    /**
     * 机构ID：隶属于哪个会所的运营人员[用户类型为机构时有效数据]
     */
    private Integer userID;

    /**
     * 会所ID：隶属于哪个会所的运营人员
     */
    private Integer clubID;

    /**
     * 运营人账号名【产品预留字段暂时不启用】
     */
    private String account;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 联系人
     */
    private String linkName;

    /**
     * 邀请码
     */
    private String invitationCode;

    /**
     * 1未绑定，2已绑定
     */
    private String status;

    /**
     * 微信昵称
     */
    private String nickName;

    /**
     * 微信头像
     */
    private String headimgurl;

    /**
     * 微信unionId
     */
    private String unionId;

    /**
     * 小程序openid
     */
    private String openid;

    /**
     * crm公众openid
     */
    private String crmOpenid;

    /**
     * www商城openid
     */
    private String pcOpenid;

    /**
     * 邀请码生成时间（此时间起48小时有效）
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date invitationCodeTime;

    /**
     * 绑定时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bindTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    /**
     * 0 有效  其它无效
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}
