package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.bo.PromotionsVo;
import com.caimei.module.base.entity.po.Product;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/17
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProductVo extends Product {
    /**
     * 展示价格
     */
    private BigDecimal retailPrice;

    /**
     * 复购价格,折后单价
     */
    private BigDecimal discountPrice;

    /**
     * 标签数组
     */
    private String[] tagsList;
    /**
     * 商品图片
     */
    private List<ProductImageVo> imageList;

    /**
     * 商品详情
     */
    private ProductDetailVo productDetail;

    /**
     * 购物车商品数量
     */
    private Integer productCount;

    /**
     * 阶梯价格集合
     */
    private List<LadderPriceVo> ladderPriceList;

    /**
     * 供应商信息
     */
    private ShopVo shop;

    /**
     * 协销购物车id
     */
    private Long sellerCartId;

    /**
     * 前端商品勾选状态
     */
    private Boolean productsChecked = false;

    /**
     * 成本大于复购价 或 当前机构价小于复购价
     */
    private Boolean repurchasePriceState = false;

    /**
     * 初始化商品数量0，提供前端使用
     */
    private Integer initProductNum;

    /**
     * 初始化商品总金额，提供前端使用
     */
    private BigDecimal totalPrice;

    /**
     * 购物车失效状态
     * 1,后台删除的 > 2,冻结的 > 3,下架 > 4,售罄 >7,库存不足 > 5,价格仅会员可见 > 6,未公开价格
     */
    private String failureState;

    /**
     * 二级分类id
     */
    private Integer smallTypeID;

    /**
     * 一级分类id
     */
    private Integer bigTypeID;

    /**
     * 所在分类名称
     */
    private String typeName;

    /**
     * 相关参数
     */
    private List<RelatedParametersVo> parametersList;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 一级分类名称
     */
    private String bigTypeName;

    /**
     * 二级分类名称
     */
    private String smallTypeName;

    /**
     * 三级分类名称
     */
    private String tinyTypeName;

    /**
     * 活动商品折扣
     */
    private BigDecimal activityDiscount;

    /**
     * 促销活动
     */
    private PromotionsVo promotions;

    /**
     * 商品类型(0正常商品,1协商赠品,2促销赠品)
     */
    private String giftType;

    /**
     * 用户身份 1、协销 2、会员机构 3、供应商 4.普通机构
     */
    private Integer userIdentity;

    /**
     * 前端使用
     */
    private Boolean isChecked = false;

    /**
     * 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)
     */
    private String detailTalkFlag;
}
